List email checks
curl --request GET \
--url https://api.dataspike.io/api/v4/email/checks \
--header 'ds-api-token: <api-key>'import requests
url = "https://api.dataspike.io/api/v4/email/checks"
headers = {"ds-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ds-api-token': '<api-key>'}};
fetch('https://api.dataspike.io/api/v4/email/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "019d4e88-f847-7aa0-892f-bd2d85537ffe",
"email": "user@example.com",
"verdict": "pass",
"code": "email_invalid_syntax",
"risk_score": 0,
"checks": {
"syntax_valid": true,
"mx_found": true,
"disposable": true,
"role_based": true
},
"otp_sent": true,
"otp_expires_at": "2024-01-01T00:10:00Z",
"ownership_verified": true,
"ownership_verified_at": "2024-01-01T00:00:00Z",
"created_at": "2024-01-01T00:00:00Z"
}
],
"has_next": true
}Email Verification
List email checks
Returns a paginated list of email checks for the authenticated organization.
GET
/
api
/
v4
/
email
/
checks
List email checks
Authorizations
Query Parameters
Filter by email address.
Lower bound (RFC 3339).
Upper bound (RFC 3339).
Page number (0-based).
Number of results (1-200).
⌘I